## valve

valve — Drops buffers and events or lets them through

## Synopsis

    struct              GstValve;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstValve

## Properties

      "drop"                     gboolean              : Read / Write

## Description

The valve is a simple element that drops buffers when the "drop" property is set to `TRUE` and lets then through otherwise.

Any downstream error received while the "drop" property is `FALSE` is ignored. So downstream element can be set to `GST_STATE_NULL` and removed, without using pad blocking.

This element was previously part of gst-plugins-farsight, and then gst-plugins-bad.

Documentation last reviewed on 2010-12-30 (0.10.31)

## Synopsis

### Element Information

plugin | coreelements
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Filter

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstValve

    struct GstValve;

The private valve structure

Since 0.10.32

## Property Details

### The `"drop"` property

      "drop"                     gboolean              : Read / Write

Whether to drop buffers and events or let them through.

Default value: FALSE